首页 新闻 搜索 专区 学院

SpringCloud Eureka注册中心启动报错

0
[已解决问题] 解决于 2018-12-18 11:46

在maven工程中导入以下jar包
整个pom文件内容如下:
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>

<groupId>com</groupId>
<artifactId>SpringColudEureka</artifactId>
<version>0.0.1-SNAPSHOT</version>
<packaging>jar</packaging>

<name>SpringColudEureka</name>
<url>http://maven.apache.org</url>

<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
</properties>
<parent>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-starter-parent</artifactId>
<version>1.5.8.RELEASE</version>
</parent>

<dependencies>
<dependency>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-starter</artifactId>
</dependency>
<dependency>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-starter-eureka-server</artifactId>
  </dependency>
</dependencies>
<dependencyManagement>
<dependencies>
<dependency>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-dependencies</artifactId>
<version>Dalston.RC1</version>
<type>pom</type>
<scope>import</scope>
</dependency>
</dependencies>
</dependencyManagement>
<repositories>
<repository>
<id>spring-milestones</id>
<name>Spring Milestones</name>
<url>https://repo.spring.io/milestone</url>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
</repositories>
</project>


工程无错误,启动程序报

Caused by: java.lang.ClassNotFoundException: com.sun.jersey.api.core.DefaultResourceConfig
at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:335)
at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
... 24 more

DefaultResourceConfig类找不到~~求大佬指点什么情况!!!

队长给我球。的主页 队长给我球。 | 菜鸟二级 | 园豆:347
提问于:2018-12-18 10:53
< >
分享
最佳答案
0
奖励园豆:5
ycyzharry | 高人七级 |园豆:20846 | 2018-12-18 10:56

对,是这个类找不到,但是我这个jar包已经引入了,不知道为什么报错,是版本不对吗!

队长给我球。 | 园豆:347 (菜鸟二级) | 2018-12-18 10:58

@队长给我球。: 应该还是包的问题 多试试哦

ycyzharry | 园豆:20846 (高人七级) | 2018-12-18 11:01

@ycyzharry: 问题已经解决就是jar包版本问题不知道为什么默认starter中引入的.19.1 ~ 但是 修改成1.19后就好了,,但是会有其他的jar包继续报错需要继续修改这个坑啊

队长给我球。 | 园豆:347 (菜鸟二级) | 2018-12-18 11:46
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册